petsc-3.4.2 2013-07-02

# PetscViewerBinaryRead

Reads from a binary file, all processors get the same result

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerBinaryRead(PetscViewer viewer,void *data,PetscInt count,PetscDataType dtype)

Collective on MPI_Comm

### Input Parameters

| viewer | - the binary viewer
| data | - location to write the data
| count | - number of items of data to read
| datatype | - type of data to read

### See Also

PetscViewerASCIIOpen(), PetscViewerSetFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), PetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer, PetscBinaryViewerRead()

Level:beginner
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex65dm.c.html
src/snes/examples/tutorials/ex61.c.html
src/snes/examples/tutorials/ex65.c.html